# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "omnibus"
  s.version = "1.0.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Opscode"]
  s.date = "2013-05-24"
  s.description = "Omnibus helps you build self-installing, full-stack software builds."
  s.email = "info@opscode.com"
  s.executables = ["omnibus"]
  s.files = ["bin/omnibus"]
  s.homepage = "https://github.com/opscode/omnibus-ruby"
  s.licenses = ["Apache 2.0"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.1")
  s.rubygems_version = "1.8.23"
  s.summary = "Omnibus helps you build self-installing, full-stack software builds."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<mixlib-shellout>, ["~> 1.0"])
      s.add_runtime_dependency(%q<mixlib-config>, ["~> 1.1.2"])
      s.add_runtime_dependency(%q<ohai>, [">= 0.6.12"])
      s.add_runtime_dependency(%q<rake>, [">= 0.9"])
      s.add_runtime_dependency(%q<fpm>, ["~> 0.4.33"])
      s.add_runtime_dependency(%q<uber-s3>, [">= 0"])
      s.add_runtime_dependency(%q<thor>, [">= 0.16.0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<rspec_junit_formatter>, [">= 0"])
    else
      s.add_dependency(%q<mixlib-shellout>, ["~> 1.0"])
      s.add_dependency(%q<mixlib-config>, ["~> 1.1.2"])
      s.add_dependency(%q<ohai>, [">= 0.6.12"])
      s.add_dependency(%q<rake>, [">= 0.9"])
      s.add_dependency(%q<fpm>, ["~> 0.4.33"])
      s.add_dependency(%q<uber-s3>, [">= 0"])
      s.add_dependency(%q<thor>, [">= 0.16.0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<rspec_junit_formatter>, [">= 0"])
    end
  else
    s.add_dependency(%q<mixlib-shellout>, ["~> 1.0"])
    s.add_dependency(%q<mixlib-config>, ["~> 1.1.2"])
    s.add_dependency(%q<ohai>, [">= 0.6.12"])
    s.add_dependency(%q<rake>, [">= 0.9"])
    s.add_dependency(%q<fpm>, ["~> 0.4.33"])
    s.add_dependency(%q<uber-s3>, [">= 0"])
    s.add_dependency(%q<thor>, [">= 0.16.0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<rspec_junit_formatter>, [">= 0"])
  end
end
